## plasma-desktop 6.4.91

=== applets/CMakeLists.txt ===
plasma_install_package(activitypager org.kde.plasma.activitypager)

add_subdirectory(kicker)
add_subdirectory(kickoff)
add_subdirectory(trash)

add_subdirectory(taskmanager)
add_subdirectory(window-list)
plasma_install_package(icontasks org.kde.plasma.icontasks)
plasma_install_package(margins-separator org.kde.plasma.marginsseparator)

if(PlasmaActivities_FOUND)
   add_subdirectory(pager)
   add_subdirectory(showActivityManager)
endif()

add_subdirectory(minimizeall)
add_subdirectory(showdesktop)
add_subdirectory(kimpanel)
plasma_install_package(keyboardlayout org.kde.plasma.keyboardlayout)

=== applets/kimpanel/backend/scim/CMakeLists.txt ===
if(SCIM_FOUND)
    set(SCIM_ICON_DIR "${PC_SCIM_PREFIX}/share/scim/icons")
    configure_file(config-scim.h.cmake config-scim.h)
    set(kimpanel_scim_panel_SRCS main.cpp)
    add_executable(kimpanel-scim-panel ${kimpanel_scim_panel_SRCS})
    set_target_properties(kimpanel-scim-panel PROPERTIES AUTOMOC TRUE)
    target_link_libraries(kimpanel-scim-panel Qt::Core Qt::DBus PkgConfig::SCIM)
    install(TARGETS kimpanel-scim-panel DESTINATION ${KDE_INSTALL_LIBEXECDIR})
endif(SCIM_FOUND)

=== debian/changelog ===
plasma-desktop (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Package new libkglobalaccelmodel library.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:28:58 +0200

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kded6-dev,
               kscreenlocker-dev (>= 6.4.91~),
               kwin-dev (>= 4:6.4.91~),
               libaccounts-qt6-dev (>= 1.13~),
               libcanberra-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libibus-1.0-dev (>= 1.5.0~),
               libicu-dev,
               libkaccounts6-dev (>= 4:20.04~),
               libkf5runner-dev,
               libkf6attica-dev (>= 6.18.0~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6baloo-dev (>= 6.18.0~),
               libkf6codecs-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6notifyconfig-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6qqc2desktopstyle-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6sonnet-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libksysguard-dev (>= 4:6.4.91~),
               libpackagekitqt6-dev,
               libplasma-dev (>= 6.4.91~),
               libplasma5support-dev (>= 4:6.4.91~),
               libplasmaactivities-dev (>= 6.4.91~),
               libplasmaactivitiesstats-dev (>= 6.4.91~),
               libscim-dev,
               libsdl2-dev (>= 2.0.16~),
               libudev-dev,
               libwayland-dev (>= 1.22~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxft-dev,
               libxkbregistry-dev,
               pkgconf,
               plasma-workspace-dev (>= 4:6.4.91~),
               qt6-5compat-dev (>= 6.9.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-shadertools-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               signon-plugin-oauth2-dev (>= 0.25+git20231015.fab69886-2~),
               signon-plugins-dev (>= 8.61+git20231015.c8ad982-2~),
               wayland-protocols (>= 1.44~),
               xdg-user-dirs,
               xserver-xorg-dev,
               xserver-xorg-input-libinput-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-desktop
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git
Rules-Requires-Root: no

Package: libkglobalaccelmodel6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma global shortcut runner
 A runner to perform actions from the global shortcuts, useful when an action
 is not assigned to any shortcut, or when the user wants to find the action
 name corresponding to a shortcut.

Package: plasma-desktop
Architecture: any
Depends: accountsservice,
         breeze (>= 4:6.2.90~),
         kactivitymanagerd (>= 6.2.90~),
         kde-cli-tools (>= 4:6.2.90~),
         kded6,
         kio6 (>= 6.13.0-4~),
         layer-shell-qt (>= 6.2.90~),
         ocean-sound-theme (>= 6.2.90~),
         oxygen-sounds (>= 4:6.2.90~),
         plasma-desktop-data (= ${source:Version}),
         plasma-desktoptheme,
         plasma-integration (>= 6.2.90~),
         plasma-workspace (>= 4:6.2.90~),
         polkit-kde-agent-1 (>= 4:6.2.90~),
         qml6-module-org-kde-activities,
         qml6-module-org-kde-baloo,
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-desktop,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-graphicaleffects,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-tableview,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-pipewire,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         qt6-svg-plugins,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 4:6.2.90~),
            breeze-gtk-theme (>= 6.2.90~),
            fonts-hack,
            fonts-noto,
            fonts-noto-color-emoji,
            ibus-data,
            kde-config-gtk-style (>= 4:6.2.90~),
            kde-config-screenlocker (>= 6.2.90~),
            kde-config-sddm (>= 4:6.2.90~),
            kde-spectacle,
            kgamma (>= 6.2.90~),
            khelpcenter,
            kinfocenter (>= 4:6.2.90~),
            kio-extras,
            kmenuedit (>= 4:6.2.90~),
            kscreen (>= 4:6.2.90~),
            ksshaskpass (>= 4:6.2.90~),
            kwin-wayland (>= 4:6.2.90~) | kwin-x11 (>= 4:6.2.90~),
            kwrited (>= 4:6.2.90~),
            libkf6kcmutils-bin,
            libpam-kwallet5 (>= 6.2.90~),
            plasma-browser-integration (>= 6.2.90~),
            plasma-desktop-doc (>= ${source:Version}),
            plasma-discover (>= 6.2.90~),
            plasma-disks (>= 6.2.90~),
            plasma-firewall (>= 6.2.90~),
            plasma-nm (>= 4:6.2.90~),
            plasma-pa (>= 4:6.2.90~),
            plasma-systemmonitor (>= 6.2.90~),
            plasma-thunderbolt (>= 6.2.90~),
            plasma-vault (>= 6.2.90~),
            plasma-welcome (>= 6.2.90~),
            plasma5-integration (>= 6.2.90~),
            powerdevil (>= 4:6.2.90~),
            systemsettings (>= 4:6.2.90~),
            xdg-desktop-portal-gtk,
            xdg-desktop-portal-kde (>= 6.2.90~),
Suggests: kde-config-flatpak (>= 6.2.90~),
          plasma-theme-oxygen,
Breaks: plasma-desktop-data (<< 4:6.3.2-3~),
        plasma-workspace (<< 4:6.1.0~),
        user-manager (<< 4:5.20),
Replaces: plasma-desktop-data (<< 4:6.3.2-3~),
          plasma-workspace (<< 4:6.1.0~),
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: python3:any,
         ${misc:Depends},
Breaks: plasma-widgets-addons (<< 4:5.25.70~),
Replaces: plasma-widgets-addons (<< 4:5.25.70~),
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files for the Plasma shell.

Package: plasma-desktop-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Breaks: plasma-desktop-data (<< 4:6.1.90~),
Replaces: plasma-desktop-data (<< 4:6.1.90~),
Description: Plasma desktop documentation
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the documentation for the Plasma shell.

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the development files for the Plasma shell.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-desktoptheme,
         plasma-workspace,
         sddm (>= 0.21.0-2),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qt6-virtualkeyboard-plugin,
Provides: sddm-theme,
Description: Breeze SDDM theme
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.

Package: sddm-theme-debian-breeze
Architecture: any
Depends: plasma-desktoptheme,
         plasma-workspace,
         qt6-svg-plugins,
         sddm-theme-breeze,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: desktop-base,
            qt6-virtualkeyboard-plugin,
            sddm,
Provides: sddm-theme,
Description: Debian Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
    export DEB_CFLAGS_MAINT_STRIP = -g
    export DEB_CXXFLAGS_MAINT_STRIP = -g
    export DEB_CFLAGS_MAINT_APPEND = -gstabs
    export DEB_CXXFLAGS_MAINT_APPEND = -gstabs
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test, fourth test never ends
	# xvfb-run -a dh_auto_test
	:

execute_after_dh_auto_install:
	# do not ship helper scripts for extracting l10n catalogs
	find debian/tmp -name Messages.sh -print -delete

## plasma-desktop 6.5.0

=== kaccess/CMakeLists.txt ===
# KI18N Translation Domain for this application
add_definitions(-DTRANSLATION_DOMAIN=\"kaccess\")

set(kaccess_SRCS kaccess.cpp main.cpp )

add_executable(kaccess ${kaccess_SRCS})

target_link_libraries(kaccess
    kaccess_settings
    Qt::Widgets
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::Completion
    KF6::GlobalAccel
    KF6::I18n
    KF6::Notifications
    KF6::WidgetsAddons
    KF6::WindowSystem
    KF6::DBusAddons
    KF6::Crash
    X11::X11
)
target_link_libraries(kaccess Qt::GuiPrivate)

ecm_install_configured_files(
    INPUT plasma-kaccess.service.in
    @ONLY
    DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
)

install(TARGETS kaccess ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kaccess.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install( FILES kaccess.desktop  DESTINATION  ${KDE_INSTALL_AUTOSTARTDIR} )
install( FILES kaccess.notifyrc  DESTINATION  ${KDE_INSTALL_KNOTIFYRCDIR} )

=== applets/trash/CMakeLists.txt ===
plasma_add_applet(org.kde.plasma.trash
    QML_SOURCES
        main.qml
    CPP_SOURCES
        dirmodel.h
        dirmodel.cpp
        trash.h
        trash.cpp
    GENERATE_APPLET_CLASS
)

target_link_libraries(org.kde.plasma.trash PRIVATE
        Qt::Core
        Qt::Qml
        KF6::KIOCore
        KF6::KIOWidgets
        KF6::CoreAddons # KSharedDataCache required by KImageCache in GuiAddons
        KF6::GuiAddons
        KF6::Notifications
        Qt::DBus
        )

=== emojier/app/CMakeLists.txt ===
add_executable(plasma-emojier emojier.cpp)

ecm_add_qml_module(plasma-emojier URI org.kde.plasma.emoji.app)

ecm_target_qml_sources(plasma-emojier SOURCES
    ui/Emojier.qml
    ui/CategoryAction.qml
    ui/CategoryPage.qml
)

target_link_libraries(plasma-emojier PRIVATE Qt::Widgets Qt::Quick KF6::ConfigGui KF6::I18n KF6::CoreAddons KF6::Crash KF6::DBusAddons KF6::WindowSystem Qt::GuiPrivate)

install(TARGETS plasma-emojier ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.plasma.emojier.desktop DESTINATION ${KDE_INSTALL_DATADIR}/kglobalaccel)
install(PROGRAMS org.kde.plasma.emojier.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

=== kcms/activities/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_activities\")

kcmutils_add_qml_kcm(kcm_activities
   SOURCES
      kcm_activities.cpp
      activityconfig.cpp
)

target_link_libraries (kcm_activities PRIVATE
   Qt::Quick
   Qt::Core
   Qt::Qml
   Qt::DBus
   KF6::CoreAddons
   KF6::KCMUtils
   KF6::I18n
   KF6::Service
   KF6::XmlGui
   KF6::GlobalAccel
   Plasma::Activities
)

=== kcms/dateandtime/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmkclock\")
########### next target ###############

set(kcm_clock_PART_SRCS dtime.cpp main.cpp)

ki18n_wrap_ui(kcm_clock_PART_SRCS dateandtime.ui)

qt_add_dbus_interface(kcm_clock_PART_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/timedated1.xml timedated_interface)

add_library(kcm_clock MODULE ${kcm_clock_PART_SRCS})
kcmutils_generate_desktop_file(kcm_clock)

add_subdirectory( ui )

target_link_libraries(kcm_clock
    Qt::DBus
    Qt::Quick
    Qt::QuickWidgets
    KF6::ItemViews
    KF6::AuthCore
    KF6::GuiAddons
    KF6::KCMUtils
    KF6::I18n
    KF6::I18nLocaleData
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::Svg
)
install(TARGETS kcm_clock  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings_qwidgets )

########### next target ###############
#This is only needed when not using timedated and can be removed in future

add_executable(kcmdatetimehelper helper.cpp ${helper_mocs})
target_link_libraries(kcmdatetimehelper KF6::AuthCore KF6::ConfigCore)

install(TARGETS kcmdatetimehelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(kcmdatetimehelper org.kde.kcontrol.kcmclock root)

kauth_install_actions(org.kde.kcontrol.kcmclock kcmclock_actions.actions)

=== kcms/mouse/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmmouse\")

if (BUILD_KCM_MOUSE_X11)
    if (NOT XORGLIBINPUT_FOUND)
        list(APPEND MISSING_DEPS "xorg-libinput")
    endif()
    if (NOT X11_Xi_FOUND)
        list(APPEND MISSING_DEPS "X11_Xi")
    endif()
    if (NOT X11_Xinput_FOUND)
        list(APPEND MISSING_DEPS "X11_Xinput")
    endif()
    if (MISSING_DEPS)
        message(FATAL_ERROR "Missing X11 dependencies for kcm_mouse: ${MISSING_DEPS}. Install dependencies or set CMake option -DBUILD_KCM_MOUSE_X11=OFF.")
    endif()
endif()

add_subdirectory(misc)

kcmutils_add_qml_kcm(kcm_mouse
    SOURCES
        kcm.cpp
        kcm.h
        inputbackend.cpp
        inputbackend.h
        inputdevice.cpp
        inputdevice.h
)

if (BUILD_KCM_MOUSE_X11)
    target_sources(kcm_mouse PRIVATE
        cursortheme.cpp
        cursortheme.h
    )
endif()

ecm_qt_declare_logging_category(kcm_mouse
    HEADER logging.h
    IDENTIFIER KCM_MOUSE
    CATEGORY_NAME kcm_mouse
    DEFAULT_SEVERITY Critical
    DESCRIPTION "KCM for mouse input"
    EXPORT KCM_MOUSE
)

ecm_qt_install_logging_categories(
    EXPORT KCM_MOUSE
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

if (BUILD_KCM_MOUSE_X11)
    # kapplymousetheme is an X11-only tool, called by startplasma-x11 but not startplasma-wayland
    add_executable(kapplymousetheme
        kapplymousetheme.cpp

        cursortheme.cpp
        cursortheme.h
    )
    target_link_libraries(kapplymousetheme
        KF6::ConfigCore
        KF6::CoreAddons
        KF6::WindowSystem
        Qt::Gui
        Qt::GuiPrivate
        X11::Xcursor
    )
    install(TARGETS kapplymousetheme ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

target_link_libraries(kcm_mouse PRIVATE
    KF6::I18n
    KF6::KCMUtilsQuick
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::WindowSystem
    Qt::QuickWidgets
)

add_subdirectory(backends)

########### install files ###############

add_custom_command(
    TARGET kcm_mouse
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E create_symlink "../kcms/systemsettings/kcm_mouse.so" "kcm_mouse_init.so"
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kcm_mouse_init.so DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcminit)

=== runners/kwin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_kwin")

kcoreaddons_add_plugin(krunner_kwin SOURCES kwin-runner.cpp kwin-runner.h INSTALL_NAMESPACE kf6/krunner)
target_link_libraries(krunner_kwin
                        Qt::DBus
                        KF6::KIOCore
                        KF6::I18n
                        KF6::Runner)

=== doc/kcontrol/joystick/CMakeLists.txt ===
########### install files ###############
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/joystick)

=== doc/kcontrol/workspaceoptions/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/workspaceoptions)

=== kcms/runners/krunner/CMakeLists.txt ===
# KRunner Settings Module


kcmutils_add_qml_kcm(kcm_krunnersettings SOURCES krunnersettings.cpp INSTALL_NAMESPACE "plasma/kcms/desktop")

kcmutils_generate_module_data(kcm_krunnersettings
    MODULE_DATA_HEADER krunnersettingsdata.h
    MODULE_DATA_CLASS_NAME KRunnerSettingsData
    SETTINGS_HEADERS krunnersettingsbase.h
    SETTINGS_CLASSES KRunnerSettingsBase
)

kconfig_add_kcfg_files(kcm_krunnersettings krunnersettingsbase.kcfgc GENERATE_MOC)

target_link_libraries(kcm_krunnersettings PRIVATE
    Qt::DBus
    KF6::ConfigCore
    KF6::I18n
    KF6::KCMUtils
    KF6::KCMUtilsQuick
)

install(FILES krunnersettingsbase.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== applets/kimpanel/backend/ibus/CMakeLists.txt ===
if(IBUS_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND)
    configure_file(config-kimpanel.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kimpanel.h)
    find_package(XCB COMPONENTS XCB KEYSYMS)

    if (XCB_XCB_FOUND AND XCB_KEYSYMS_FOUND)
        set(CMAKE_C_STANDARD 99)
        add_executable(kimpanel-ibus-panel
            ibus15/xkblayoutmanager.cpp
            ibus15/gtkaccelparse_p.c
            ibus15/gdkkeynames_p.c
            ibus15/app.cpp
            ibus15/enginemanager.cpp
            ibus15/main.cpp
            ibus15/panel.cpp
            ibus15/propertymanager.cpp)
        target_compile_definitions(kimpanel-ibus-panel PRIVATE -DQT_NO_KEYWORDS)
        target_link_libraries(kimpanel-ibus-panel GLIB2::GLIB2 PkgConfig::IBUS PkgConfig::GOBJECT Qt::Core Qt::DBus Qt::Gui Qt::GuiPrivate XCB::KEYSYMS)
        # configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kimpanel.xml.in ${CMAKE_CURRENT_BINARY_DIR}/kimpanel.xml @ONLY)
        # install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kimpanel.xml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/ibus/component)

        target_include_directories(kimpanel-ibus-panel PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

        add_executable(kimpanel-ibus-panel-launcher launcher.cpp)
        target_link_libraries(kimpanel-ibus-panel-launcher Qt::Core Qt::DBus)
        install(TARGETS kimpanel-ibus-panel kimpanel-ibus-panel-launcher DESTINATION ${KDE_INSTALL_LIBEXECDIR})
    endif()
endif()

=== debian/changelog ===
plasma-desktop (4:6.5.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop custom build flags causing FTBFS on armel and armhf.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Oct 2025 11:51:45 +0200

plasma-desktop (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:04:38 +0200

=== debian/control ===
--- 
+++ 
@@ -53,10 +53,10 @@
                libkirigami-dev (>= 6.18.0~),
                libksysguard-dev (>= 4:6.4.91~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.4.91~),
-               libplasma5support-dev (>= 4:6.4.91~),
-               libplasmaactivities-dev (>= 6.4.91~),
-               libplasmaactivitiesstats-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
+               libplasma5support-dev (>= 4:6.5.0~),
+               libplasmaactivities-dev (>= 6.5.0~),
+               libplasmaactivitiesstats-dev (>= 6.5.0~),
                libscim-dev,
                libsdl2-dev (>= 2.0.16~),
                libudev-dev,
@@ -74,7 +74,7 @@
                libxft-dev,
                libxkbregistry-dev,
                pkgconf,
-               plasma-workspace-dev (>= 4:6.4.91~),
+               plasma-workspace-dev (>= 4:6.5.0~),
                qt6-5compat-dev (>= 6.9.0~),
                qt6-base-dev (>= 6.9.0~),
                qt6-base-private-dev,
@@ -93,7 +93,6 @@
 Homepage: https://invent.kde.org/plasma/plasma-desktop
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git
-Rules-Requires-Root: no
 
 Package: libkglobalaccelmodel6
 Architecture: any
@@ -306,3 +305,4 @@
  hardware management and a high degree of customizability.
  Taskmanager library.
  .
+ This package contains the files for the breeze SDDM theme adapted

## plasma-desktop 6.5.0+p24.04+vstable+git20251021.0928

=== debian/changelog ===
plasma-desktop (4:6.5.0+p24.04+vstable+git20251021.0928-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:28:58 +0000

plasma-desktop (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:28:53 +0000

## plasma-desktop 6.5.0+p24.04+vstable+git20251028.0307

=== debian/changelog ===
plasma-desktop (4:6.5.0+p24.04+vstable+git20251028.0307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 03:07:14 +0000

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-dev,
               cmake,
               debhelper-compat (= 13),
               kaccounts-integration-dev,
               kf6-attica-dev,
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kded-dev,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-kglobalaccel-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kpeople-dev,
               kf6-krunner-dev,
               kf6-ksvg-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-qqc2-desktop-style-dev,
               kscreenlocker-dev,
               kwin-dev,
               libboost-dev,
               libcanberra-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               libksysguard-dev,
               libpackagekitqt6-dev,
               libplasma-dev,
               libpulse-dev,
               libscim-dev,
               libsdl2-dev,
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               libxkbregistry-dev,
               openbox,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-activities-stats-dev,
               plasma-workspace-dev,
               plasma5support-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-phonon-dev,
               qt6-svg-dev,
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               signon-plugin-oauth2-dev,
               signon-plugins-dev,
               xauth,
               xdg-user-dirs,
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-libinput-dev,
               xserver-xorg-input-synaptics-dev,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
Vcs-Git: https://invent.kde.org/neon/kde/plasma-desktop.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-desktop
Maintainer: Neon CI <neon@kde.org>

Package: plasma-desktop
Architecture: any
Priority: optional
Section: kde
X-Neon-MergedPackage: true
Depends: breeze,
         ibus-data,
         kactivitymanagerd,
         kde-cli-tools,
         kf6-baloo,
         kf6-kdeclarative,
         kf6-kded,
         kf6-kio,
         kf6-kirigami2,
         kf6-kwindowsystem,
         kf6-solid,
         libplasma6,
         oxygen-sounds,
         plasma-activities,
         plasma-integration,
         plasma-thunderbolt,
         plasma-workspace (>= 4:6.3.80),
         plasma5support,
         polkit-kde-agent-1,
         python3:any,
         qml6-module-org-kde-pipewire,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bluedevil,
            breeze-gtk-theme,
            kde-config-gtk-style,
            kde-config-screenlocker,
            kde-config-sddm,
            kde-style-oxygen,
            kgamma5,
            khelpcenter,
            kinfocenter,
            kio-extras,
            kmenuedit,
            kscreen,
            ksshaskpass,
            kwin-wayland | kwin-x11,
            kwrited,
            libpam-kwallet-common,
            plasma-discover,
            plasma-pa,
            powerdevil,
            systemsettings
Replaces: kde-config-touchpad,
          neon-settings-2 (<< 0.5),
          plasma-desktop-data,
          user-manager
Breaks: kde-workspace (<< 4:6.1.0), neon-settings-2 (<< 0.5)
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-dev
Architecture: any
Priority: optional
Section: kde
X-Neon-MergedPackage: true
Depends: plasma-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: kde-config-touchpad
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-desktop, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: plasma-desktop-data
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-desktop, ${misc:Depends}
Description: dummy transitional package
 This is a transitional package which can be removed.

Package: user-manager
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-desktop, ${misc:Depends}
Description: dummy transitional package
 This is a transitional package which can be removed.
